-- Pierwotny właściciel i twórca kodu: AmaMa
-- Zakaz używania / edycji kodu bez wcześniejszej zgody ze strony właściciela
-- Zakaz wykorzystywania całego lub fragmentów kodu
-- W przypadku złamania powyzszych zasad sprawa zostanie skierowana do sądu pod zarzutem: Naruszenia majątkowych praw autorskich
-- Pierwotnie pełne prawo do używania tego kodu posiada tylko AmaMa

mojeW,mojeH = 1360,768
sW,sH = guiGetScreenSize()
sx, sy = (sW/mojeW), (sH/mojeH)
--local startTicking = getTickCount()
local wFont = dxCreateFont("files/OSB.ttf", 15*sx)
local wFont2 = dxCreateFont("files/OSB.ttf", 11*sx)

function loadingDownload()
	dxDrawImage(0*sx, 0*sy, 1360*sx, 768*sy, "files/background.jpg", 0, 0, 0, tocolor(255, 255, 255, 255), false)
	local soundFFT = getSoundFFTData ( sound, 2048, 2 )
	if ( soundFFT ) then
		for i,v in ipairs(soundFFT) do
		local pos1 = (500*sx)-(math.sqrt ( soundFFT[i]*1024 ))*2
		local pos2 = (50*sy)-(math.sqrt ( soundFFT[i]*1024 ))*2
		local pos3 = (366*sx)+(math.sqrt ( soundFFT[i]*1024 ))*4
		local pos4 = (368*sy)+(math.sqrt ( soundFFT[i]*1024 ))*4
		dxDrawImage ( pos1,pos2,pos3,pos4, image, angle, 0, -120 )
	end
end
	dxDrawText("Poczekaj chwilę... Niezbędne zasoby muszą się pobrać...", 0*sx, 300*sy, 1360*sx, 768*sy, tocolor(255 ,255, 255, 255), 1, wFont, "center", "center", false, false, false, true, false)
	dxDrawText("Jesteś tutaj pierwszy raz? Zapoznaj się z regulaminem gry na forum\n#ccc000Forum: clickermta.hmcloud.pl", 0*sx, 450*sy, 1360*sx, 768*sy, tocolor(255 ,255, 255, 255), 1, wFont2, "center", "center", false, false, false, true, false)

end




function checkingIsDownload()
	if getElementData(localPlayer,"player:logged") then return end
	if isTransferBoxActive() == true then
	    if isEventHandlerAdded("onClientRender", root, loadingDownload) then
		removeEventHandler("onClientRender", root, loadingDownload)
		destroyElement(image)
		destroyElement(sound)

		end
		if not isElement(sound) then
		sound = playSound ( "files/music.mp3" )
        setSoundLooped(sound,true) 
		image = dxCreateTexture( "files/logo.png" ,"argb", false, "clamp" )
		end
		addEventHandler("onClientRender", root, loadingDownload)
		showCursor(true)
		showChat(false)
	else
		if isEventHandlerAdded("onClientRender", root, loadingDownload) then
			removeEventHandler("onClientRender", root, loadingDownload)
			destroyElement(image)
			showCursor(false)
		end
	end
end
setTimer(checkingIsDownload, 1000, 0)

function checkingtime()
if getElementData(localPlayer,"player:logged") then return end
if isTransferBoxActive() == true then
startTicking = getTickCount()
end
end
setTimer(checkingtime, 1200, 1)


function isEventHandlerAdded( sEventName, pElementAttachedTo, func )
	if 
		type( sEventName ) == 'string' and 
		isElement( pElementAttachedTo ) and 
		type( func ) == 'function' 
	then
		local aAttachedFunctions = getEventHandlers( sEventName, pElementAttachedTo )
		if type( aAttachedFunctions ) == 'table' and #aAttachedFunctions > 0 then
			for i, v in ipairs( aAttachedFunctions ) do
				if v == func then
					return true
				end
			end
		end
	end
	return false
end

function DxDrawBorderedRectangle( x, y, width, height, color1, color2, _width, postGUI )
    local _width = _width or 1
    dxDrawRectangle ( x+1, y+1, width-1, height-1, color1, postGUI )
    dxDrawLine ( x, y, x+width, y, color2, _width, postGUI ) -- Top
    dxDrawLine ( x, y, x, y+height, color2, _width, postGUI ) -- Left
    dxDrawLine ( x, y+height, x+width, y+height, color2, _width, postGUI ) -- Bottom
    dxDrawLine ( x+width, y, x+width, y+height, color2, _width, postGUI ) -- Right
end

